Name:           rzip
Version:        2.1
Release:        1
Summary:        A large-file compression program
Group:          Applications/File
License:        GPLv2+
URL:            http://rzip.samba.org
Source0:        http://rzip.samba.org/ftp/rzip/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  bzip2-devel
Requires:       bzip2

%description
rzip is a compression program, similar in functionality to gzip or
bzip2, but able to take advantage of long distance redundancies in
files, which can sometimes allow rzip to produce much better
compression ratios than other programs.


%prep
%setup -q


%build
export CC="cc -D_LARGE_FILES"
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install INSTALL_BIN=${RPM_BUILD_ROOT}%{_bindir} INSTALL_MAN=${RPM_BUILD_ROOT}%{_mandir}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Jan 15 2010 Michael Perzl <michael@perzl.org> - 2.1-1
- first version for AIX V5.1 and higher
